Package org.jfree.layouting.renderer.model.table.rows

## Class AbstractRowModel

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.rows.AbstractRowModel

- All Implemented Interfaces:
    `TableRowModel`
  Direct Known Subclasses:
    `SeparateRowModel`

      public abstract class AbstractRowModel
      extends java.lang.Object
      implements TableRowModel

  Creation-Date: 21.07.2006, 19:21:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRowModel​(TableSectionRenderBox tableSection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRow​(TableRow row)` |
    `TableRow` | `getRow​(int i)` |
    `int` | `getRowCount​()` |
    `TableRow[]` | `getRows​()` |
    `long` | `getRowSpacing​()` |
    `TableSectionRenderBox` | `getTableSection​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.renderer.model.table.rows.TableRowModel

      `clear, getPreferredSize, validateActualSizes, validateSizes`

- - ### Constructor Detail

    - #### AbstractRowModel

          public AbstractRowModel​(TableSectionRenderBox tableSection)

  - ### Method Detail

    - #### addRow

          public void addRow​(TableRow row)

      Specified by:
        `addRow` in interface `TableRowModel`

    - #### getRowCount

          public int getRowCount​()

      Specified by:
        `getRowCount` in interface `TableRowModel`

    - #### getTableSection

          public TableSectionRenderBox getTableSection​()

      Specified by:
        `getTableSection` in interface `TableRowModel`

    - #### getRow

          public TableRow getRow​(int i)

      Specified by:
        `getRow` in interface `TableRowModel`

    - #### getRows

          public TableRow[] getRows​()

      Specified by:
        `getRows` in interface `TableRowModel`

    - #### getRowSpacing

          public long getRowSpacing​()

      Specified by:
        `getRowSpacing` in interface `TableRowModel`